Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.ldapinput
Class LDAPInputMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.ldapinput.LDAPInputMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class LDAPInputMeta

extends BaseStepMeta
implements StepMetaInterface

Field Summary
`static String[]` | `type_trim_code`

Constructor Summary
`LDAPInputMeta()`

Method Summary
`void` | `allocate(int nrfields)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`void` | `getFields(org.pentaho.di.core.row.RowMetaInterface r, String name, org.pentaho.di.core.row.RowMetaInterface[] info, StepMeta nextStep, org.pentaho.di.core.variables.VariableSpace space)` Get the fields that are emitted by this step
`String` | `getFilterString()`
`String` | `getHost()`
`LDAPInputField[]` | `getInputFields()`
`String` | `getMultiValuedSeparator()`
`String` | `getPassword()`
`String` | `getPort()`
`long` | `getRowLimit()`
`String` | `getRowNumberField()`
`String` | `getSearchBase()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta tr, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`int` | `getTimeLimit()`
`static int` | `getTrimTypeByCode(String tt)`
`String` | `getUserName()`
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `includeRowNumber()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setDefault()` Set default values
`void` | `setFilterString(String filterString)`
`void` | `setHost(String host)`
`void` | `setIncludeRowNumber(boolean includeRowNumber)`
`void` | `setInputFields(LDAPInputField[] inputFields)`
`void` | `setMultiValuedSeparator(String multiValuedSeparator)`
`void` | `setPassword(String password)`
`void` | `setPort(String port)`
`void` | `setRowLimit(long rowLimit)`
`void` | `setRowNumberField(String rowNumberField)`
`void` | `setSearchBase(String searchBase)`
`void` | `setTimeLimit(int timeLimit)`
`void` | `setUseAuthentication(boolean useAuthentication)`
`void` | `setUserName(String userName)`
`boolean` | `supportsErrorHandling()`
`boolean` | `UseAuthentication()`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getID, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps`

Field Detail

### type_trim_code

    public static final String[] type_trim_code

Constructor Detail

### LDAPInputMeta

    public LDAPInputMeta()

Method Detail

### UseAuthentication

    public boolean UseAuthentication()

  Returns:
    Returns the input useAuthentication.

### setUseAuthentication

    public void setUseAuthentication(boolean useAuthentication)

  Parameters:
    `useAuthentication` - The useAuthentication to set.

### getInputFields

    public LDAPInputField[] getInputFields()

  Returns:
    Returns the input fields.

### setInputFields

    public void setInputFields(LDAPInputField[] inputFields)

  Parameters:
    `inputFields` - The input fields to set.

### includeRowNumber

    public boolean includeRowNumber()

  Returns:
    Returns the includeRowNumber.

### setIncludeRowNumber

    public void setIncludeRowNumber(boolean includeRowNumber)

  Parameters:
    `includeRowNumber` - The includeRowNumber to set.

### getHost

    public String getHost()

  Returns:
    Returns the host name.

### setHost

    public void setHost(String host)

  Parameters:
    `host` - The host to set.

### getUserName

    public String getUserName()

  Returns:
    Returns the user name.

### setUserName

    public void setUserName(String userName)

  Parameters:
    `userName` - The username to set.

### setPassword

    public void setPassword(String password)

  Parameters:
    `password` - The password to set.

### getPassword

    public String getPassword()

  Returns:
    Returns the password.

### getPort

    public String getPort()

  Returns:
    Returns the Port.

### setPort

    public void setPort(String port)

  Parameters:
    `port` - The port to set.

### getFilterString

    public String getFilterString()

  Returns:
    Returns the filter string.

### setFilterString

    public void setFilterString(String filterString)

  Parameters:
    `filterString` - The filter string to set.

### getSearchBase

    public String getSearchBase()

  Returns:
    Returns the search string.

### setSearchBase

    public void setSearchBase(String searchBase)

  Parameters:
    `searchBase` - The filter Search Base to set.

### getRowLimit

    public long getRowLimit()

  Returns:
    Returns the rowLimit.

### setTimeLimit

    public void setTimeLimit(int timeLimit)

  Parameters:
    `timeLimit` - The timeout time limit to set.

### getTimeLimit

    public int getTimeLimit()

  Returns:
    Returns the time limit.

### setMultiValuedSeparator

    public void setMultiValuedSeparator(String multiValuedSeparator)

  Parameters:
    `multiValuedSeparator` - The multi-valued separator filed.

### getMultiValuedSeparator

    public String getMultiValuedSeparator()

  Returns:
    Returns the multi valued separator.

### setRowLimit

    public void setRowLimit(long rowLimit)

  Parameters:
    `rowLimit` - The rowLimit to set.

### getRowNumberField

    public String getRowNumberField()

  Returns:
    Returns the rowNumberField.

### setRowNumberField

    public void setRowNumberField(String rowNumberField)

  Parameters:
    `rowNumberField` - The rowNumberField to set.

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### allocate

    public void allocate(int nrfields)

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getFields

    public void getFields(org.pentaho.di.core.row.RowMetaInterface r,
                          String name,
                          org.pentaho.di.core.row.RowMetaInterface[] info,
                          StepMeta nextStep,
                          org.pentaho.di.core.variables.VariableSpace space)
                   throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `StepMetaInterface`
  Get the fields that are emitted by this step

  Specified by:
    `getFields` in interface `StepMetaInterface`
  Overrides:
    `getFields` in class `BaseStepMeta`
  Parameters:
    `r` - The fields that are entering the step. These are changed to reflect the output metadata.
    `name` - The name of the step to be used as origin
    `info` - The input rows metadata that enters the step through the specified channels in the same order as in method getInfoSteps(). The step metadata can then choose what to do with it: ignore it or not. Interesting is also that in case of database lookups, the layout of the target database table is put in info[0]
    `nextStep` - if this is a non-null value, it's the next step in the transformation. The one who's asking, the step where the data is targetted towards.
    `space` - TODO
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - when an error occurred searching for the fields.

### getTrimTypeByCode

    public static final int getTrimTypeByCode(String tt)

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepMeta,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepMeta` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta tr,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `tr` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### supportsErrorHandling

    public boolean supportsErrorHandling()

  Specified by:
    `supportsErrorHandling` in interface `StepMetaInterface`
  Overrides:
    `supportsErrorHandling` in class `BaseStepMeta`
  Returns:
    true if this step supports error "reporting" on rows: the ability to send rows to a certain target step.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD